Modify

Opened 3 years ago

Closed 3 years ago

Last modified 15 months ago

#17933 closed defect (fixed)

Illegal reflective access operation

Reported by: naoliv Owned by: Don-vip
Priority: normal Milestone: 19.09
Component: Core Version:
Keywords: java11 Cc:

Description

While loading JOSM I saw:

2019-07-16 10:20:29.724 INFORMAÇÕES: carregando plugin 'geotools' (versão 34908)
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.geotools.image.ImageWorker (file:/home/naoliv/.josm/plugins/geotools.jar) to constructor com.sun.imageio.plugins.jpeg.JPEGImageWriterSpi()
WARNING: Please consider reporting this to the maintainers of org.geotools.image.ImageWorker

JOSM:

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2019-07-15 22:22:57 +0200 (Mon, 15 Jul 2019)
Revision:15251
Build-Date:2019-07-16 01:30:52
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (15251 pt_BR) Linux Debian GNU/Linux bullseye/sid
Memory Usage: 429 MB / 6144 MB (167 MB allocated, but free)
Java version: 13-ea+28-Debian-1, Debian, OpenJDK 64-Bit Server VM
Screen: :0.0 1600x900, :0.1 1280x1024
Maximum Screen Size: 1600x1024
Java ATK Wrapper package: libatk-wrapper-java:all-0.33.3-22
libcommons-compress-java: libcommons-compress-java:all-1.18-2
libcommons-logging-java: libcommons-logging-java:all-1.2-2
fonts-noto: fonts-noto:-
liboauth-signpost-java: liboauth-signpost-java:all-1.2.1.2-2
VM arguments: [-Dawt.useSystemAAFontSettings=gasp]

Plugins:
+ FixAddresses (34977)
+ OpeningHoursEditor (34977)
+ PicLayer (35030)
+ SimplifyArea (34977)
+ apache-commons (34908)
+ apache-http (34908)
+ buildings_tools (34982)
+ ejml (35049)
+ geojson (124)
+ geotools (34908)
+ http2 (35062)
+ jaxb (35014)
+ jna (34908)
+ jts (35064)
+ log4j (34908)
+ mbtiles (v2.5.0)
+ measurement (35051)
+ merge-overlap (34972)
+ opendata (34997)
+ poly (34991)
+ reverter (34999)
+ tag2link (35068)
+ tageditor (34977)
+ todo (30306)
+ turnlanes-tagging (281)
+ turnrestrictions (34977)
+ undelete (34977)
+ utilsplugin2 (34977)
+ wikipedia (v1.1.1)

Attachments (0)

Change History (14)

comment:1 Changed 3 years ago by Don-vip

update: first part in [o35122].

comment:2 Changed 3 years ago by Don-vip

Status: newassigned

comment:3 Changed 3 years ago by Don-vip

Geotools updated in [o35123:35128].

comment:4 Changed 3 years ago by Don-vip

Resolution: fixed
Status: assignedclosed

Seems to fix the issue.

comment:5 Changed 3 years ago by naoliv

Resolution: fixed
Status: closedreopened

It's still here:

WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.geotools.image.ImageWorker (file:/home/naoliv/.josm/plugins/geotools.jar) to constructor com.sun.imageio.plugins.jpeg.JPEGImageWriterSpi()
WARNING: Please consider reporting this to the maintainers of org.geotools.image.ImageWorker
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2019-09-26 22:40:50 +0200 (Thu, 26 Sep 2019)
Revision:15378
Build-Date:2019-09-27 01:30:53
URL:https://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (15378 pt_BR) Linux Debian GNU/Linux bullseye/sid
Memory Usage: 308 MB / 2048 MB (88 MB allocated, but free)
Java version: 13+33-Debian-1, Debian, OpenJDK 64-Bit Server VM
Screen: :0.0 1920x1080
Maximum Screen Size: 1920x1080
Java ATK Wrapper package: libatk-wrapper-java:all-0.36.0-1
libcommons-compress-java: libcommons-compress-java:all-1.18-3
libcommons-logging-java: libcommons-logging-java:all-1.2-2
VM arguments: [-Dawt.useSystemAAFontSettings=gasp]

Plugins:
+ EasyPresets (1537621333)
+ FastDraw (34977)
+ OpeningHoursEditor (34977)
+ SimplifyArea (34977)
+ apache-commons (34908)
+ buildings_tools (34982)
+ ejml (35122)
+ geojson (124)
+ geotools (35137)
+ http2 (35062)
+ jaxb (35014)
+ jogl (1.2.3)
+ jts (35122)
+ log4j (34908)
+ measurement (35051)
+ opendata (35139)
+ reverter (35084)
+ tageditor (34977)
+ tagging-preset-tester (34908)
+ todo (30306)
+ turnlanes-tagging (281)
+ turnrestrictions (34977)
+ undelete (34977)
+ utilsplugin2 (35098)
+ wikipedia (v1.1.1)

comment:6 Changed 3 years ago by Don-vip

I don't have it, don't understand why. This is my output when running JOSM with --debug:

2019-09-27 13:14:54.143 FINE: Loading plugin 'geotools'...
2019-09-27 13:14:54.153 INFO: loading plugin 'geotools' (version 35137)
...
2019-09-27 13:14:55.781 INFO: Warp/affine reduction enabled: true
2019-09-27 13:14:55.785 FINE: geotools: load JAI-Ext operations
2019-09-27 13:14:55.837 FINE: Registering class it.geosolutions.imageioimpl.plugins.tiff.TIFFImageWriterSpi
2019-09-27 13:14:55.841 FINE: Registering class com.sun.media.imageioimpl.plugins.jpeg.CLibJPEGImageWriterSpi
2019-09-27 13:14:55.841 FINE: Registering class com.sun.media.imageioimpl.plugins.png.CLibPNGImageWriterSpi
2019-09-27 13:14:55.842 FINE: Registering class com.sun.media.imageioimpl.plugins.jpeg2000.J2KImageWriterSpi
2019-09-27 13:14:55.844 FINE: Registering class com.sun.media.imageioimpl.plugins.jpeg2000.J2KImageWriterCodecLibSpi
2019-09-27 13:14:55.847 FINE: Registering class com.sun.media.imageioimpl.plugins.wbmp.WBMPImageWriterSpi
2019-09-27 13:14:55.851 FINE: Registering class com.sun.media.imageioimpl.plugins.bmp.BMPImageWriterSpi
2019-09-27 13:14:55.854 FINE: Registering class com.sun.media.imageioimpl.plugins.gif.GIFImageWriterSpi
2019-09-27 13:14:55.856 FINE: Registering class com.sun.media.imageioimpl.plugins.pnm.PNMImageWriterSpi
2019-09-27 13:14:55.857 FINE: Registering class com.sun.media.imageioimpl.plugins.raw.RawImageWriterSpi
2019-09-27 13:14:55.858 FINE: Registering class com.sun.media.imageioimpl.plugins.tiff.TIFFImageWriterSpi
2019-09-27 13:14:55.860 FINE: Registering class it.geosolutions.imageioimpl.plugins.tiff.TIFFImageReaderSpi
2019-09-27 13:14:55.861 FINE: Registering class com.sun.media.imageioimpl.plugins.jpeg.CLibJPEGImageReaderSpi
2019-09-27 13:14:55.862 FINE: Registering class com.sun.media.imageioimpl.plugins.png.CLibPNGImageReaderSpi
2019-09-27 13:14:55.863 FINE: Registering class com.sun.media.imageioimpl.plugins.jpeg2000.J2KImageReaderSpi
2019-09-27 13:14:55.872 FINE: Registering class com.sun.media.imageioimpl.plugins.jpeg2000.J2KImageReaderCodecLibSpi
2019-09-27 13:14:55.873 FINE: Registering class com.sun.media.imageioimpl.plugins.wbmp.WBMPImageReaderSpi
2019-09-27 13:14:55.874 FINE: Registering class com.sun.media.imageioimpl.plugins.bmp.BMPImageReaderSpi
2019-09-27 13:14:55.875 FINE: Registering class com.sun.media.imageioimpl.plugins.pnm.PNMImageReaderSpi
2019-09-27 13:14:55.878 FINE: Registering class com.sun.media.imageioimpl.plugins.raw.RawImageReaderSpi
2019-09-27 13:14:55.879 FINE: Registering class com.sun.media.imageioimpl.plugins.tiff.TIFFImageReaderSpi
2019-09-27 13:14:55.911 FINE: Registering class it.geosolutions.imageio.stream.output.spi.FileImageOutputStreamExtImplSpi
2019-09-27 13:14:55.921 FINE: Registering class it.geosolutions.imageio.stream.output.spi.URLImageOutputStreamSpi
2019-09-27 13:14:55.923 FINE: Registering class it.geosolutions.imageio.stream.output.spi.StringImageOutputStreamSpi
2019-09-27 13:14:55.924 FINE: Registering class com.sun.media.imageioimpl.stream.ChannelImageOutputStreamSpi
2019-09-27 13:14:55.927 FINE: Registering class it.geosolutions.imageio.stream.input.spi.FileImageInputStreamExtImplSpi
2019-09-27 13:14:55.929 FINE: Registering class it.geosolutions.imageio.stream.input.spi.URLImageInputStreamSpi
2019-09-27 13:14:55.933 FINE: Registering class it.geosolutions.imageio.stream.input.spi.StringImageInputStreamSpi
2019-09-27 13:14:55.938 FINE: Registering class com.sun.media.imageioimpl.stream.ChannelImageInputStreamSpi

What's yours?

comment:7 Changed 3 years ago by Don-vip

Ah I have it when running josm with java -jar but not from Eclipse:

2019-09-27 13:25:13.946 FINE: Loading plugin 'geotools'...
2019-09-27 13:25:13.952 INFO: loading plugin 'geotools' (version 35137)
WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.geotools.image.ImageWorker (file:/C:/Users/vippy/AppData/Roaming/JOSM/plugins/geotools.jar) to constructor com.sun.imageio.plugins.jpeg.JPEGImageWriterSpi()
WARNING: Please consider reporting this to the maintainers of org.geotools.image.ImageWorker
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release
2019-09-27 13:25:14.438 INFO: Warp/affine reduction enabled: true
2019-09-27 13:25:14.440 FINE: geotools: load JAI-Ext operations
2019-09-27 13:25:14.458 FINE: Registering class it.geosolutions.imageioimpl.plugins.tiff.TIFFImageWriterSpi
2019-09-27 13:25:14.463 FINE: Registering class com.sun.media.imageioimpl.plugins.jpeg.CLibJPEGImageWriterSpi
2019-09-27 13:25:14.463 FINE: Registering class com.sun.media.imageioimpl.plugins.png.CLibPNGImageWriterSpi
2019-09-27 13:25:14.465 FINE: Registering class com.sun.media.imageioimpl.plugins.jpeg2000.J2KImageWriterSpi
2019-09-27 13:25:14.470 FINE: Registering class com.sun.media.imageioimpl.plugins.jpeg2000.J2KImageWriterCodecLibSpi
2019-09-27 13:25:14.472 FINE: Registering class com.sun.media.imageioimpl.plugins.wbmp.WBMPImageWriterSpi
2019-09-27 13:25:14.476 FINE: Registering class com.sun.media.imageioimpl.plugins.bmp.BMPImageWriterSpi
2019-09-27 13:25:14.476 FINE: Registering class com.sun.media.imageioimpl.plugins.gif.GIFImageWriterSpi
2019-09-27 13:25:14.477 FINE: Registering class com.sun.media.imageioimpl.plugins.pnm.PNMImageWriterSpi
2019-09-27 13:25:14.479 FINE: Registering class com.sun.media.imageioimpl.plugins.raw.RawImageWriterSpi
2019-09-27 13:25:14.480 FINE: Registering class com.sun.media.imageioimpl.plugins.tiff.TIFFImageWriterSpi
2019-09-27 13:25:14.482 FINE: Registering class it.geosolutions.imageio.stream.output.spi.FileImageOutputStreamExtImplSpi
2019-09-27 13:25:14.483 FINE: Registering class it.geosolutions.imageio.stream.output.spi.URLImageOutputStreamSpi
2019-09-27 13:25:14.483 FINE: Registering class it.geosolutions.imageio.stream.output.spi.StringImageOutputStreamSpi
2019-09-27 13:25:14.485 FINE: Registering class com.sun.media.imageioimpl.stream.ChannelImageOutputStreamSpi
2019-09-27 13:25:14.487 FINE: Registering class it.geosolutions.imageioimpl.plugins.tiff.TIFFImageReaderSpi
2019-09-27 13:25:14.489 FINE: Registering class com.sun.media.imageioimpl.plugins.jpeg.CLibJPEGImageReaderSpi
2019-09-27 13:25:14.491 FINE: Registering class com.sun.media.imageioimpl.plugins.png.CLibPNGImageReaderSpi
2019-09-27 13:25:14.492 FINE: Registering class com.sun.media.imageioimpl.plugins.jpeg2000.J2KImageReaderSpi
2019-09-27 13:25:14.494 FINE: Registering class com.sun.media.imageioimpl.plugins.jpeg2000.J2KImageReaderCodecLibSpi
2019-09-27 13:25:14.495 FINE: Registering class com.sun.media.imageioimpl.plugins.wbmp.WBMPImageReaderSpi
2019-09-27 13:25:14.497 FINE: Registering class com.sun.media.imageioimpl.plugins.bmp.BMPImageReaderSpi
2019-09-27 13:25:14.502 FINE: Registering class com.sun.media.imageioimpl.plugins.pnm.PNMImageReaderSpi
2019-09-27 13:25:14.507 FINE: Registering class com.sun.media.imageioimpl.plugins.raw.RawImageReaderSpi
2019-09-27 13:25:14.508 FINE: Registering class com.sun.media.imageioimpl.plugins.tiff.TIFFImageReaderSpi
2019-09-27 13:25:14.510 FINE: Registering class it.geosolutions.imageio.stream.input.spi.FileImageInputStreamExtImplSpi
2019-09-27 13:25:14.510 FINE: Registering class it.geosolutions.imageio.stream.input.spi.URLImageInputStreamSpi
2019-09-27 13:25:14.511 FINE: Registering class it.geosolutions.imageio.stream.input.spi.StringImageInputStreamSpi
2019-09-27 13:25:14.512 FINE: Registering class com.sun.media.imageioimpl.stream.ChannelImageInputStreamSpi

comment:8 Changed 3 years ago by Don-vip

Component: Plugin geotoolsCore
Keywords: java11 added
Milestone: 19.09
Priority: minornormal

OK got it, one add-exports option is missing in core

comment:9 Changed 3 years ago by Don-vip

Resolution: fixed
Status: reopenedclosed

In 15380/josm:

fix #17933 - add-exports java.desktop/com.sun.imageio.plugins.jpeg

comment:10 Changed 3 years ago by naoliv

Do I need to include something when calling JOSM? (basically I am using java -jar josm.jar)
I am asking because the warning is still here with JOSM 15401 and geotools 35154.

comment:11 Changed 3 years ago by Don-vip

No, I forgot to update server makefile

comment:12 Changed 3 years ago by Don-vip

Resolution: fixed
Status: closedreopened

comment:13 Changed 3 years ago by Don-vip

Resolution: fixed
Status: reopenedclosed

Makefile updated. r15404 will be the first official version to contain the fix.

comment:14 Changed 15 months ago by Don-vip

In 18003/josm:

see #17933 - list VM arguments in the same order between josm.jnlp and josm-latest.jnlp

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Don-vip.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.